
//
// To jest przykładowy kod z podrozdziału 12.7.2 "Prawie puste okno" książki 
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

#include "Simple_window.h"    // Dla przycisku „Next”
#include "Graph.h" 
#include "std_lib_facilities.h"

using namespace Graph_lib;

//------------------------------------------------------------------------------

int main ()
try
{ 
    Point tl(100,100);     // Lewy górny róg naszego okna.

    Simple_window win(tl,600,400,"Canvas");
    // Współrzędna ekranu tl określająca położenie lewego górnego rogu okna.
    // Rozmiar okna 600*400.
    // Tytuł: Kanwa.
    win.wait_for_button(); // Wyświetl!
} 
catch(exception& e) {
    // Raport o błędzie.
    return 1;
}
catch(...) {
    // Raport o błędzie.
    return 2;
}

//------------------------------------------------------------------------------
